# VecInitializePackage

This function initializes everything in the Vec package. It is called from PetscDLLibraryRegister() when using dynamic libraries, and on the first call to VecCreate() when using static libraries.

### Synopsis

    PetscErrorCode PETSCVEC_DLLEXPORT VecInitializePackage(const char path[])

### Input Parameter

path -The dynamic library path, or PETSC_NULL

### Keywords

Vec, initialize, package

### See Also

PetscInitialize()

Level:developer
Location:src/vec/vec/interface/dlregisvec.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages